Skip to navigation

Get a Deposit

Get a deposit by its unique identifier.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique identifier for the deposit

Response

The deposit.
idstringRead-only
The unique identifier for the deposit.
statusenum
The status of the deposit.
Allowed values:
transferobject
The transfer that carried the funds.
created_atdatetimeRead-only
The date and time when the deposit was created.
updated_atdatetimeRead-only
The date and time when the deposit was last updated.
source_idstringOptional

The identifier of the Source that sent this deposit.

deposit_address_idstring or nullOptionalRead-only

The identifier of the Deposit Address that received the funds. Null when the funds didn’t arrive through a deposit address, such as a mailed check.

settled_atdatetimeOptionalRead-only
The date and time when the deposit was settled.
returned_atdatetimeOptionalRead-only
The date and time when the deposit was returned.
propertieslist of objectsOptional
A list of properties assigned to the deposit.
payment_source_idstringOptionalDeprecated

Deprecated. Use source_id.

bank_created_atdatetimeOptionalRead-onlyDeprecated

Deprecated. Use transfer.bank_created_at.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error